# Environment Node 配置文件
# 此文件作为 fallback 配置，实际配置由 config_node 统一管理

# 发布配置
publish_topic: "/ai/env"

# 发布间隔 (秒)
intervals:
  battery_seconds: 1
  temperature_seconds: 1
  weather_seconds: 1
  map_seconds: 1


map:
  points:
    - id: "A"
      name: "办公室"
      position: {x: 1.633, y: 3.490, z: 0.0}
      orientation: {x: 0.0, y: 0.0, z: 0.618, w: 0.786}
    - id: "B"
      name: "大堂接待"
      position: {x: 2.436, y: -0.574, z: 0.0}
      orientation: {x: 0.0, y: 0.0, z: -0.090, w: 0.996}
    - id: "C"
      name: "园区"
      position: {x: 0.024, y: -1.820, z: 0.0}
      orientation: {x: 0.0, y: 0.0, z: 0.031, w: 1.000}
